net.minecraft.client.mco

## Class McoServer

- java.lang.Object
- - net.minecraft.client.mco.McoServer

-     public class McoServer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `McoServer.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List` | `field_148806_f`
    `java.lang.String` | `field_148807_g`
    `java.lang.String` | `field_148808_d`
    `java.lang.String` | `field_148809_e`
    `java.lang.String` | `field_148810_b`
    `java.lang.String` | `field_148811_c`
    `long` | `field_148812_a`
    `java.lang.String` | `field_148813_n`
    `boolean` | `field_148814_o`
    `int` | `field_148815_l`
    `java.lang.String` | `field_148816_m`
    `int` | `field_148817_j`
    `int` | `field_148818_k`
    `boolean` | `field_148819_h`
    `int` | `field_148820_i`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McoServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object par1Obj)`
    `void` | `func_148799_a(McoServer p_148799_1_)`
    `java.lang.String` | `func_148800_a()`
    `java.lang.String` | `func_148801_b()`
    `static McoServer` | `func_148802_a(com.google.gson.JsonObject p_148802_0_)`
    `void` | `func_148803_a(java.lang.String p_148803_1_)`
    `void` | `func_148804_b(java.lang.String p_148804_1_)`
    `static McoServer` | `func_148805_c(java.lang.String p_148805_0_)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_148812_a

          public long field_148812_a

    - #### field_148810_b

          public java.lang.String field_148810_b

    - #### field_148811_c

          public java.lang.String field_148811_c

    - #### field_148808_d

          public java.lang.String field_148808_d

    - #### field_148809_e

          public java.lang.String field_148809_e

    - #### field_148806_f

          public java.util.List field_148806_f

    - #### field_148807_g

          public java.lang.String field_148807_g

    - #### field_148819_h

          public boolean field_148819_h

    - #### field_148820_i

          public int field_148820_i

    - #### field_148817_j

          public int field_148817_j

    - #### field_148818_k

          public int field_148818_k

    - #### field_148815_l

          public int field_148815_l

    - #### field_148816_m

          public java.lang.String field_148816_m

    - #### field_148813_n

          public java.lang.String field_148813_n

    - #### field_148814_o

          public boolean field_148814_o

  - ### Constructor Detail

    - #### McoServer

          public McoServer()

  - ### Method Detail

    - #### func_148800_a

          public java.lang.String func_148800_a()

    - #### func_148801_b

          public java.lang.String func_148801_b()

    - #### func_148803_a

          public void func_148803_a(java.lang.String p_148803_1_)

    - #### func_148804_b

          public void func_148804_b(java.lang.String p_148804_1_)

    - #### func_148799_a

          public void func_148799_a(McoServer p_148799_1_)

    - #### func_148802_a

          public static McoServer func_148802_a(com.google.gson.JsonObject p_148802_0_)

    - #### func_148805_c

          public static McoServer func_148805_c(java.lang.String p_148805_0_)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`